PDA

View Full Version : App "does not support the connected device type." with setup DLL



mjacyno
08-03-2006, 03:06 PM
Hi,
I am using InstallShield Express 11.5. We have an installer that makes use of custom C++ code wrapped into a DLL.

This installer works correctly on a device running Pocket PC 4.20.0 (Build 135252). However, it fails on a device running Pocket PC 3.0.11171 (Build 11178) with the error message "[App name removed] does not support the connected device type. Application Manager will make the application available for installation when a supported device type is connected."

Can anyone help resolve this? The DLL was written and compiled with embedded visual c++ 3.0. I don't see why the DLL itself should be wrong - my guess is something is up with InstallShield.

I would be surprised if this isn't a known issue, but I haven't been able to find an answer yet. Any thoughts?

slowhand
08-04-2006, 10:15 AM
I think the problem might be, that you can only choose ONE platform for your setup.dll within installshield. you cannot say "All processors" but must choose a specific one. So if you then start the setup on a device with another processor it will not WORK!
Check back the *.inf generated by installshield (located under the CeApps Folder)!